Date: Sat, 11 Feb 1995 10:44:10 +0100

Dear Edgardo,

  nearly every quantum chemical program contains code which does
  exactly what you require. As you can get the source of many of
  these codes, simply extract the portion(s) which do(es) what you
  require (i.e. the part which reads the Z-matrix input and the
  one which converts this into cartesians). It is probably easiest
  to try MOPAC or so, these tend to be more transparent than the
  ab-intio packages such as Gaussian.